<ol>
  <li>Add a Input field which updates a property ('username') via Two-Way-Binding</li>
  <li>Output the username property via String Interpolation (in a paragraph below the input)</li>
  <li>Add a button which may only be clicked if the username is NOT an empty string</li>
  <li>Upon clicking the button, the username should be reset to an empty string</li>
</ol>
<div>
  <input [(ngModel)]="username" class="form-control" type="text"/>
  <br/><hr/>
  <p>{{username}}</p>
  <br/><hr/>
  <button class="btn btn-primary" (click)="username=''" [disabled]="username === ''">Reset username</button>
</div>